Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.interfacce
Interface FileExport

All Known Implementing Classes:
  FileSystem

    public interface FileExport

L'interfaccia implementata da classi le cui istanze rendono possibile scrivere sul file e , esportare le prenotazioni pacchetti e prenotazioni voli

Method Summary
`void` | `exportPrenPacchetti(java.lang.String path)` Esporta le prenotazioni pacchetti in un file di testo con le prenotazioni separate per villaggi,e per ogni villaggio ,in ordine (crescente) di numero di settimana
`void` | `exportPrenVoli(java.lang.String path)` Esporta le prenotazioni dei voli in un file di testo
`void` | `write(java.lang.String path)` Scrive l'archivio sul file

Method Detail

### write

    void write(java.lang.String path)
               throws java.io.FileNotFoundException

  Scrive l'archivio sul file

  Parameters:
    `path` - percorso del file
  Throws:
    `java.io.FileNotFoundException` - se percorso erratto

### exportPrenVoli

    void exportPrenVoli(java.lang.String path)
                        throws java.io.FileNotFoundException

  Esporta le prenotazioni dei voli in un file di testo

  Parameters:
    `path` - percorso del file
  Throws:
    `java.io.FileNotFoundException` - se percorso erratto

### exportPrenPacchetti

    void exportPrenPacchetti(java.lang.String path)
                             throws java.io.FileNotFoundException

  Esporta le prenotazioni pacchetti in un file di testo con le prenotazioni separate per villaggi,e per ogni villaggio ,in ordine (crescente) di numero di settimana

  Parameters:
    `path` - percorso del file
  Throws:
    `java.io.FileNotFoundException` - se percorso erratto

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD